/* start table for notification */
.ace-report-table{
	width:100%;
	height:100%;
	margin:0px; 
	padding:0px;
	border-collapse: collapse;
}

.ace-report-table tr{
	height:auto;
	margin:0px; 
	padding:0px;
	border-bottom:1px solid #e5e5e5;
}

.ace-report-table tr:first-child { 
	border-bottom:none;
	/*border-bottom:1px solid #e5e5e5;*/
}

.ace-report-table tr:nth-child(odd) {
	background: #f9f9f9;
}

.ace-report-table tr:nth-child(even) {
	background: #ffffff;
}

.ace-report-table th{
	height:auto;
	margin:0px; 
	padding:10px 1px;
	background:#ffeecc;
	color:#333333;
}

.ace-report-table td{
	height:auto;
	margin:0px; 
	padding:10px 1px;
}

/* start table for notification */
.ace-table{
	width:100%;
	height:100%;
	margin:0px; 
	padding:0px;
	border-collapse: collapse;
}

.ace-table tr{
	height:auto;
	margin:0px; 
	padding:0px;
	border-bottom:1px solid #e5e5e5;
}

.ace-table td{
	height:auto;
	margin:0 5px; 
	padding:5px 0px;
}

.td-vertical-align-top td{
	vertical-align:top;
}

.td-vertical-align-middle td{
	vertical-align:middle;
}

.ace-table td p{
	margin:5px; 
	font-weight:bold;
	color:#333333;
}

.ace-table td > span{
	display: block;
	margin:5px; 
	font-size:12px;
	color:#666666;
}

.ace-table td img{
	margin:5px 0px; 
}

.ace-table td ul{
	list-style-type: none;
	padding: 0;
}

.ace-table tr:last-child { 
	border-bottom:0px;
}
/* end table for notification */

/* start table for donut graph */
.donut-graph-table{
	width:100%;
	height:100%;
	margin:0; 
	padding:0;
	border:0;
}

.donut-graph-table tr{
	margin:0px; 
	padding:0px;
}

.donut-graph-table td{
	width:50%;
	margin:0px; 
	padding:0px;
}

.donut-graph-table{
	display:table;
	width:100%;
	height:100%;
	margin:0; 
	padding:0;
	border:0;
}
.donut-graph-table-row{
	display:table-row;
	margin:0px; 
	padding:0px;
}
.donut-graph-table-cell{
	display:table-cell;
	width:50%;
	margin:0px; 
	padding:0px;
	vertical-align: middle;
}
.donut-graph-holder{
	float: right;
}
.donut-lesson-lable-holder{
	float: left;
    padding-top: 40px;
}
.donut-practice-lable-holder{
	float: left;
    padding-top: 22px;
}
.donut-graph-table table td {
    font-size: 12px;
    width: auto;
    margin: 0;
    padding: 2px 0;
	min-width: 20px;
}
.donut-graph-table td table{
	width:100%;
	margin:0px; 
	padding:0px;
}
.donut-graph-table td table tr{
	margin:0; 
	padding:0;
}
.donut-graph-table td table td{
	font-size:12px;
	width:auto;
	margin:0; 
	padding:2px 0;
}
/* end table for donut graph */

/* start table for pie graph */
.pie-graph-table{
	margin:0; 
	padding:0;
	border:0;
}
/* end table for pie graph */

.ace-skill-based-table{
	width:100%;
	height:100%;
	margin:0px; 
	padding:0px;
	border-collapse: collapse;
}

.ace-skill-based-table tr{
	height:auto;
	margin:0px; 
	padding:0px;
}

.ace-skill-based-table th{
	height:auto;
	margin:0px; 
	padding:0px;
	color:#333333;
	font-weight: normal;
}

.ace-skill-based-table td{
	height:auto;
	margin:0px; 
	padding:5px 0px;
	color:#333333;
}

.ace-skill-based-table table{
	width:100%;
	height:100%;
	margin:0; 
	padding:0;
	border-collapse: collapse;
}

.ace-skill-based-table table tr{
	height:auto;
	margin:0px; 
	padding:0px;
}

.ace-skill-based-table table th{
	height:auto;
	margin:0px; 
	padding:5px 0px;
	color:#333333;
	font-weight: normal;
	background:#ffeecc;
}

.ace-skill-based-table table td{
	height:auto;
	margin:0; 
	padding:0;
	color:#333333;
}

.ace-skill-based-table table table{
	width:100%;
	height:100%;
	margin:0px; 
	padding:0px;
	border-collapse: collapse;
}

.ace-skill-based-table table table tr{
	height:auto;
	margin:0px; 
	padding:0px;
}

.ace-skill-based-table table table th{
	height:auto;
	margin:0px; 
	padding:5px 0px;
	color:#333333;
	font-weight: normal;
	background:#ffeecc;
}

.ace-skill-based-table table table td{
	height:auto;
	margin:0px; 
	padding:0px;
	color:#333333;
}

.ace-topic-ranking-table{
	width:130px;
	height:21px;
	margin:0px; 
	padding:0px;
	border-collapse: collapse;
}

.ace-topic-ranking-table tr{
	height: 21px;
	margin:0px; 
	padding:0px;
	background-color: #FFFFFF;
	border:1px solid #e5e5e5;
}

.ace-topic-ranking-table td{
	
}

@media (max-width: 970px) {
	.donut-graph-table-cell {
		display: flex;
		width: 100%;
		justify-content: center;
	}
	.donut-graph-table-cell table{
		margin-top: 15px;
	}
	.donut-graph-holder {
		float: none;
	}
	.donut-lesson-lable-holder{
		float: none;
		padding-top: 0;
		padding-bottom: 15px;
	}
	.donut-practice-lable-holder{
		float: none;
		padding-top: 0;
		padding-bottom: 15px;
	}
}